gRPC C#
gRPC C#
Namespaces
Grpc.Core
CallInvocationDetails(TRequest, TResponse) Structure
CallInvocationDetails(TRequest, TResponse) Constructor
CallInvocationDetails(TRequest, TResponse) Constructor (Channel, Method(TRequest, TResponse), CallOptions)
CallInvocationDetails(TRequest, TResponse) Constructor (Channel, Method(TRequest, TResponse), String, CallOptions)
CallInvocationDetails(TRequest, TResponse) Constructor (Channel, String, String, Marshaller(TRequest), Marshaller(TResponse), CallOptions)

CallInvocationDetails TRequest, TResponse Constructor (Channel, String, String, Marshaller TRequest , Marshaller TResponse , CallOptions)

Initializes a new instance of the CallInvocationDetails
TRequest, TResponse
struct.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public CallInvocationDetails(
    	Channel channel,
    	string method,
    	string host,
    	Marshaller<TRequest> requestMarshaller,
    	Marshaller<TResponse> responseMarshaller,
    	CallOptions options
    )

    Public Sub New (
    	channel As Channel,
    	method As String,
    	host As String,
    	requestMarshaller As Marshaller(Of TRequest),
    	responseMarshaller As Marshaller(Of TResponse),
    	options As CallOptions
    )

    public:
    CallInvocationDetails(
    	Channel^ channel,
    	String^ method,
    	String^ host,
    	Marshaller<TRequest>^ requestMarshaller,
    	Marshaller<TResponse>^ responseMarshaller,
    	CallOptions options
    )

    new :
            channel : Channel *
            method : string *
            host : string *
            requestMarshaller : Marshaller<'TRequest> *
            responseMarshaller : Marshaller<'TResponse> *
            options : CallOptions -> CallInvocationDetails

#### Parameters

channel
  Type: Grpc.Core
  Channel
  Channel to use for this call.
method
  Type: System
  String
  Qualified method name.
host
  Type: System
  String
  Host that contains the method.
requestMarshaller
  Type: Grpc.Core
  Marshaller
  TRequest
  Request marshaller.
responseMarshaller
  Type: Grpc.Core
  Marshaller
  TResponse
  Response marshaller.
options
  Type: Grpc.Core
  CallOptions
  Call options.

See Also

#### Reference

CallInvocationDetails
TRequest, TResponse
Structure
CallInvocationDetails
TRequest, TResponse
Overload
Grpc.Core Namespace